module["exports"] = function myService(hook) {
    /**
     * infos mit entsprechenden Daten ausfüllen
     * 
     */
    var infos = {
        "url": "MQTTURL",
        "port": "MQTTPORT",
        "username": "MQTTUSERNAME",
        "password": "MQTTPW",
        "auth": "AUSGEDACHTERKEY"
    };

    /**
     * Ab hier nicht verändern
     */
    if (hook.params.auth != infos.auth) {
        return;
    }

    var toggle = hook.params.power;

    if (toggle == "on" || toggle == "off") {
        var mqtt = require("mqtt");
        var options = {
            "port": infos.port,
            "username": infos.username,
            "password": infos.password
        };
        var mqttClient = mqtt.connect("mqtt://" + infos.url, options);

        mqttClient.on("connect", function() {
            mqttClient.publish("cmnd/sonoff/power", toggle);
            hook.res.end();
        });
    }
};